Draft Ajuster ou prolonger

From FreeCAD Documentation
Revision as of 21:02, 22 June 2021 by David69 (talk | contribs)

Draft Trimex

Emplacement du menu
Modification → Ajuste ou Prolonge
Ateliers
Draft, Arch
Raccourci par défaut
T R
Introduit dans la version
-
Voir aussi
Part Extrusion

Description

La commande Draft Ajuste ou Prolonge Ajuste ou prolonge un objet sélectionné. Les intersections avec le bord d'un autre objet peuvent être utilisées pour déterminer de nouveaux points d'extrémité. La commande peut également être utilisée pour une extrusion d'une face, auquel cas elle crée un objet Part Extrusion.

En haut : une Draft ligne briséee étendue puis ajustée. En bas : une face extrudée dans un corps solide.

Ajuste ou prolonge

Utilisation

  1. Sélectionnez une ligne que vous souhaitez rogner ou étendre, ou sélectionnez une face que vous souhaitez extruder.
  2. Appuyez sur le bouton Ajuste ou prolonge... ou appuyez sur les touches T puis R.
  3. Cliquez sur un point dans la vue 3D ou entrez une distance et appuyez sur Entrée.

Options

The modifier keys mentioned here can be changed. See Draft Preferences.

  • The solution with the largest length determines the default direction of the command. Hold Alt to invert this direction.
  • Hold Shift to restrict the operation to the current segment of a Draft Wire.

Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All Draft Snaps were turned off.

  • Appuyez sur X, Y ou Z pour contraindre le point sur l'axe indiqué.
  • Maintenez la touche Shift enfoncée pour limiter l’opération au segment en cours et évitez d’en choisir un autre.
    • Dans le cas du mode d'extrusion, maintenez la touche Shift pour extruder une face dans une direction autre que la normale.
  • Maintenez la touche Alt enfoncée pendant l'ajustement pour inverser le sens de l'opération. Autrement dit, l'autre extrémité du fil sera coupée.

Extrusion

Usage

See also: Draft Snap and Draft Constrain.

  1. It can be helpful to first change the Draft working plane so that it is not coplanar with the face you want to extrude.
  2. Optionally select a single face or an object with a single face.
  3. There are several ways to invoke the command:
    • Press the Draft Trimex button.
    • Select the Modification → Trimex option from the menu.
    • Use the keyboard shortcut: T then R.
  4. If you have not yet selected an object or a face: select an object with a single face in the 3D view.
  5. The Trimex task panel opens. See Options for more information.
  6. To define the extrusion direction and distance do one of the following:
    • Pick a point in the 3D view that does no lie on the same plane as the face.
    • Make sure the pointer is on the correct side of the face in the 3D view and enter a Distance.

Options

The modifier key mentioned here can be changed. See Draft Preferences.

  • Hold Shift to extrude in a direction that is not parallel to the normal of the face.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of the distance: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Script

Aucune interface de programmation n'est disponible pour l'outil Ajuste ou Prolonge. Voir l'outil Part Extrusion pour l'extrusion de faces et d'autres formes.

extrusion = extrude(obj, vector, solid=False)
  • obj is the object to be extruded.
  • vector is the extrusion direction and distance.
  • If solid is True a solid is created instead of a shell.
  • extrusion is returned with the created object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()